-- 基础信息
base_info = {
	group_id = 247004003
}

-- DEFS_MISCS
local GroupId = 247004003
local point_id_list = {}
local MainGroupID = 247004001
local RegionID = 3001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 3001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = -0.027, y = 0.050, z = 80.036 } }
}

-- 触发器
triggers = {
	{ config_id = 1003001, name = "ENTER_REGION_3001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 3002, pos = { x = -3.961, y = 0.107, z = 87.703 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3003, pos = { x = 4.123, y = 0.105, z = 87.649 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3004, pos = { x = 0.018, y = 0.101, z = 88.594 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3005, pos = { x = -7.138, y = 0.121, z = 86.488 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 3006, pos = { x = 7.082, y = 0.115, z = 86.047 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 3007, pos = { x = -8.358, y = 0.105, z = 83.766 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 3008, pos = { x = 8.750, y = 0.110, z = 83.782 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 3009, pos = { x = -8.609, y = 0.100, z = 80.060 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 3010, pos = { x = 8.851, y = 0.108, z = 80.076 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 3011, pos = { x = 0.053, y = 0.115, z = 88.133 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 3012, pos = { x = -5.733, y = 0.126, z = 87.201 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 3013, pos = { x = 5.744, y = 0.100, z = 87.166 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 3014, pos = { x = -8.676, y = 0.108, z = 82.522 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 3015, pos = { x = 8.874, y = 0.106, z = 82.527 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 3016, pos = { x = -8.662, y = 0.102, z = 77.637 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 3017, pos = { x = 8.780, y = 0.101, z = 77.692 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 3018, pos = { x = -5.684, y = 0.100, z = 72.969 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 3019, pos = { x = 5.673, y = 0.100, z = 72.885 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 3020, pos = { x = -0.045, y = 0.100, z = 72.090 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 3021, pos = { x = -7.161, y = 0.142, z = 87.217 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 3022, pos = { x = 7.119, y = 0.117, z = 87.220 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 3023, pos = { x = -7.159, y = 0.100, z = 72.866 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 3024, pos = { x = 7.042, y = 0.100, z = 72.944 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 3025, pos = { x = 0.144, y = 0.117, z = 87.466 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 3026, pos = { x = -0.054, y = 0.100, z = 72.709 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 3027, pos = { x = -8.136, y = 0.101, z = 80.039 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 3028, pos = { x = 8.240, y = 0.103, z = 80.004 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 3029, pos = { x = -8.031, y = 0.102, z = 75.975 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 3030, pos = { x = 7.937, y = 0.109, z = 83.414 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 3031, pos = { x = 3.376, y = 0.100, z = 72.391 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 3032, pos = { x = -3.876, y = 0.126, z = 87.313 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 3001 },
		triggers = { "ENTER_REGION_3001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
